# tbb::cache_aligned_allocator< void > Class Template Reference
[Memory Allocation]

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...

`#include <cache_aligned_allocator.h>`

List of all members.

## Classes

struct | rebind

## Public Types

typedef void * | pointer
typedef const void * | const_pointer
typedef void | value_type

## Detailed Description

### template<>
class tbb::cache_aligned_allocator< void >

Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1.

The documentation for this class was generated from the following file:

- cache_aligned_allocator.h

Copyright © 2005-2012 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.